package cn.sh.stc.sict.cloud.gateway;

import cn.sh.stc.sict.cloud.common.dynamic.gateway.annotation.EnableDynamicRoute;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @Description
 * @Author
 * @Date
 */
@EnableDynamicRoute
@SpringCloudApplication
@EnableFeignClients(basePackages = {"cn.sh.stc.sict.cloud.common.gateway.feign"})
public class SictGatewayApplication {
    public static void main(String[] args) {
        SpringApplication.run(SictGatewayApplication.class, args);
    }
}
